package com.kingdee.eas.custom.compensation.startingsalary;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.eas.custom.compensation.startingsalary.app.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class SalaryConfirmationEntry extends CoreBillEntryBase implements ISalaryConfirmationEntry
{
    public SalaryConfirmationEntry()
    {
        super();
        registerInterface(ISalaryConfirmationEntry.class, this);
    }
    public SalaryConfirmationEntry(Context ctx)
    {
        super(ctx);
        registerInterface(ISalaryConfirmationEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("46807CDE");
    }
    private SalaryConfirmationEntryController getController() throws BOSException
    {
        return (SalaryConfirmationEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public SalaryConfirmationEntryInfo getSalaryConfirmationEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryConfirmationEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public SalaryConfirmationEntryInfo getSalaryConfirmationEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryConfirmationEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public SalaryConfirmationEntryInfo getSalaryConfirmationEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryConfirmationEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public SalaryConfirmationEntryCollection getSalaryConfirmationEntryCollection() throws BOSException
    {
        try {
            return getController().getSalaryConfirmationEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public SalaryConfirmationEntryCollection getSalaryConfirmationEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getSalaryConfirmationEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public SalaryConfirmationEntryCollection getSalaryConfirmationEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getSalaryConfirmationEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}